Package org.eclipse.mat.impl.chart

## Class ChartBuilder

- java.lang.Object
- - org.eclipse.mat.impl.chart.ChartBuilder

    public class ChartBuilder
    extends Object

### Constructor Summary

Constructors
`ChartBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.birt.chart.model.Chart` `create​(IResultPie pie, boolean isInteractive, org.eclipse.birt.chart.model.attribute.ColorDefinition background, org.eclipse.birt.chart.model.attribute.ColorDefinition foreground)`
`static String` `withPrefix​(int index, String label)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChartBuilder

    public ChartBuilder()

### Method Detail

#### create

    public static final org.eclipse.birt.chart.model.Chart create​(IResultPie pie,
                                                                  boolean isInteractive,
                                                                  org.eclipse.birt.chart.model.attribute.ColorDefinition background,
                                                                  org.eclipse.birt.chart.model.attribute.ColorDefinition foreground)

#### withPrefix

    public static final String withPrefix​(int index,
                                          String label)